import { buttonVariants } from "@/components/ui/button"
import { Card, CardContent, CardDescription, CardFooter, CardHeader, CardTitle } from '@/components/ui/card'
import { cn } from "@/lib/utils"
import Link from "next/link"

export default function EmailVerification() {
    return (
        <div className="container grid items-center gap-8 pb-8 pt-6 md:py-8 max-w-lg">
            <Card>
                <CardHeader className="space-y-1">
                    <CardTitle className="text-2xl">Email Verified</CardTitle>
                    <CardDescription>
                        <span>Your Email has been Verified and your Account was Activated.</span>
                    </CardDescription>
                </CardHeader>
                <CardContent className="grid gap-4 pt-6">
                    <span>You can now continue to login.</span>
                    <Link href="/login" className={cn(buttonVariants())} type="submit">
                        Login
                    </Link>
                </CardContent>
            </Card>
        </div>
    )
}