import { GlobalLayout } from "@/components/global-layout"
import { Card, CardContent, CardFooter, CardHeader, CardTitle } from "@/components/ui/card"

export default function HelpPage() {
    return (
        <GlobalLayout
            mainContent={
                <Card className="w-full overflow-hidden p-0 md:p-6">
                    <CardHeader>
                        <CardTitle>
                            Help / FAQ
                        </CardTitle>
                    </CardHeader>
                    <CardContent className="grid gap-1">
                        <p className="font-bold">1. How do I create an account?</p>
                        <p>
                            To create an account, click on the &quot;Sign Up&quot; button on the homepage.
                            Fill in the required information and follow the prompts to complete the registration process, but you will have to verify you email to Login.
                        </p>

                        <p className="font-bold pt-6">2. How do I verify my Email?</p>
                        <p>
                            After you &quot;Sign Up&quot; and create a Account, we will send you a Email.
                            Click on the Link that is Provided to Verify your Account (Note: You Have to Verify your Email within 24h).
                        </p>

                        <p className="font-bold pt-6">3. How can I create a new post?</p>
                        <p>
                            To create a new post, you have to go to the Homepage, at the Top you&apos;ll find a Text field where you can write your post or upload Images and Clips.
                            Once you&apos;re done, simply click the &quot;Post&quot; button to publish your content and share it with others.
                        </p>

                        <p className="font-bold pt-6">4. How can I edit or delete my post?</p>
                        <p>
                            To edit or delete your post, go to the Homepage or your profile page and locate your post.
                            Depending on the platform, there may be options to edit or delete the post.
                            Click on three dots, where you will see the option Delete, an edit option is currently not provided we are working on it.
                        </p>

                        <p className="font-bold pt-6">5. How do I Search and follow a User?</p>
                        <p>
                            To Search a User, go to the Homepage where you find a Search bar and type in the Name of the User you try to find.
                            To Follow a User visit their profile page and look for the &quot;Follow&quot; button, click on it, to &quot;Follow&quot; and a second time to &quot;Unfollow&quot;.
                        </p>

                        <p className="font-bold pt-6">6. How do I Search Games and add them to my List?</p>
                        <p>
                            To Search a Game, go to the Games-Page where you find a Search bar and type in the Name of the Game you try to find.
                            To Add the Game to your list visit the Game page and look for &quot;Status&quot;, click on it, you will see all list you have and add the game to the list you want to.
                            To add the Game to your favorites you will find a button under &quot;Status&quot;.
                        </p>

                        <p className="font-bold pt-6">7. How do I customize my profile?</p>
                        <p>
                            To customize your profile, go to the settings of your account.
                            There, you can upload a profile picture, add a bio, update your personal information, and adjust privacy settings according to your preferences.
                        </p>

                        <p className="font-bold pt-6">8. Can I change my username?</p>
                        <p>
                            In most cases, you can change your username by going to the Settings.
                            Look for the option to edit your name and follow the provided instructions to make the change.
                        </p>
                    </CardContent>
                    <CardFooter className="flex flex-wrap items-center justify-between pt-6">
                        Remember, if you have any further questions or need additional assistance, feel free to reach out to our support team.
                    </CardFooter>
                </Card>
            }
        />
    )
}